import { createAttrsForm } from "../../defines/createAttrsForm";
import { createCompHooks } from "../../defines/createCompHooks";

export { Component } from "./component";

export const options = {
  name: "组合",
  thumbnail: require("@/modules/editor/assets/icons/container.svg"),
};

export const { createComp, useCompData } = createCompHooks({
  value: {},
  children: {
    default: () => [] as string[],
  },
});

export const Form = createAttrsForm([]);
